GET
/v1/admin/dashboards/{id}
Get Dashboard Details
curl https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards/{id} \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards/{id}", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
id
string
required
in path
Dashboard ID
json · 200
{
"dashboard": {
"id": "1348afc3-db2e-4aaf-96ce-cda6ff269348",
"name": "Agent KPI Dashboard 13",
"description": "Dashboard for agent KPIs",
"image_id": "a9788d2e-ca37-41e3-b440-85ae6f8cd4c6",
"visibility": "private",
"mutable": true,
"owner_id": "47dbbab6-1abf-4392-a42f-dbde107c2793",
"updated_at": "2025-09-22T11:48:17.989682Z",
"created_at": "2025-09-22T11:48:17.989682Z",
"widgets": [
{
"id": "widget_1",
"key": "analytics/daily_stats:total_inbound_calls",
"category": "analytics",
"sub_category": "live",
"settings": {
"type": "chart",
"position": 1,
"size": "medium"
},
"created_at": "2025-09-22T11:48:17.989682Z",
"updated_at": "2025-09-22T11:48:17.989682Z"
}
]
}
}